Bug 51806 - Data in named ranges in Chart in XLS spreadsheet not importing? (import from XLSX works)
Summary: Data in named ranges in Chart in XLS spreadsheet not importing? (import from ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ods, filter:xls, filter:xlsx
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-07-06 15:42 UTC by skiani
Modified: 2022-04-29 03:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Both charts on this spreadsheet come up blank. (1.48 MB, application/vnd.ms-excel)
2012-07-06 15:42 UTC, skiani
Details
Charts in MS Excel 2010 (44.71 KB, image/png)
2014-02-27 16:57 UTC, Alexandr
Details
Simple example utilising a named range (9.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-28 19:27 UTC, Myk Dowling
Details
Named range test saved as .XLSX file (5.84 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-04-28 19:34 UTC, Myk Dowling
Details

Note You need to log in before you can comment on or make changes to this bug.
Description skiani 2012-07-06 15:42:45 UTC
Created attachment 63916 [details]
Both charts on this spreadsheet come up blank.

Spreadsheet calculates correctly but charts are blank.
Comment 1 Valek Filippov 2012-07-07 11:50:44 UTC
Confirmed with LO 3.5.3.2 and LO 3.6b2
Comment 2 Alexandr 2014-02-27 16:57:28 UTC
Created attachment 94846 [details]
Charts in MS Excel 2010

Reproducible in LibreOffice 4.2.0.4. I attach a sreenshot in MS Excel 2010 to show how it should be.
Comment 3 Joel Madero 2015-05-02 15:41:48 UTC Comment hidden (obsolete)
Comment 4 Alexandr 2015-05-04 14:50:29 UTC
Reproducible with Libre Office 4.3.3 and 5.0.0.0 alpha1 on Debian.
Comment 5 Robinson Tryon (qubit) 2015-12-09 16:40:39 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:41:45 UTC Comment hidden (obsolete)
Comment 7 eisa01 2018-06-16 18:15:18 UTC
This is still present and inherited from OOo

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 8 QA Administrators 2019-06-19 02:48:25 UTC Comment hidden (obsolete)
Comment 9 eisa01 2019-08-10 20:33:35 UTC
This is still present.

Seems to use named ranges to refer to the data in the chart, although I can't seem to find the reference even in Excel..

Might be related to bug 83307

Version: 6.4.0.0.alpha0+
Build ID: 54028dc503fc08eb12e287919d5e2850cff05b73
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-07-31_01:48:19
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Myk Dowling 2020-04-28 19:27:57 UTC
Created attachment 160039 [details]
Simple example utilising a named range
Comment 11 Myk Dowling 2020-04-28 19:29:11 UTC
I think this is a more fundamental problem with LibreOffice just not storing  named ranges correctly. As an example, I've attached a simple named_range_test.ods that does an index lookup on a named range. Opening this file in LibreOffice works fine, but if you open it in Google Docs or Excel, the named range is not defined.
Comment 12 Myk Dowling 2020-04-28 19:34:34 UTC
Created attachment 160041 [details]
Named range test saved as .XLSX file

Saving a file with a named range as a .xls has the same effect. LibreOffice can see the named range when opened, but no other application sees the named range.
Comment 13 QA Administrators 2022-04-29 03:45:06 UTC
Dear skiani,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug